﻿@using System.Web.UI.WebControls;

<table>
    <tr>
        <td>
            @Html.DevExpress().Label(
                l =>
                {
                    l.ControlStyle.CssClass = "label";
                    l.Text = "Supplier";
                    l.Width = 100;
                
                }

            ).GetHtml()

        </td>
        <td>
            @Html.Common().DevExpress().GridLookup(
                sett => {
                    sett.Name = "grlSupplier";
                    sett.GridProperties.KeyFieldName = "SUPPLIER_CODE";
                    sett.Width = Unit.Pixel(130);
                    sett.GridProperties.CallbackRouteValues = new { Controller = "SupplierEmailMaster", Action = "getSupplierLookup" };
                    sett.GridProperties.SettingsBehavior.AllowSelectSingleRowOnly = false;
                    sett.GridProperties.Width = Unit.Pixel(130);
                    sett.GridProperties.SettingsPager.NumericButtonCount = 5;
                    sett.GridProperties.CommandColumn.Width = Unit.Pixel(10);

                    sett.GridProperties.Columns.Add(
                        c =>
                        {
                            c.Name = "Supplier";
                            c.FieldName = "SUPPLIER_CODE";
                            c.Caption = "Supplier Code";
                            c.Width = 70;
                            c.CellStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;

                        });

                    sett.GridProperties.Columns.Add(
                        c =>
                        {
                            c.Name = "Supplier";
                            c.FieldName = "SUPPLIER_NAME";
                            c.Caption = "Supplier Name";
                            c.Width = 180;
                            c.CellStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                        }); 
                
                
                }

            ).Bind(ViewData["SupplierData"]).GetHtml()



        </td>
        <td></td>
        <td style="width: 200px;"></td>
        <td>
            @Html.DevExpress().Label(
                l =>
                {
                    l.ControlStyle.CssClass = "label";
                    l.Text = "Position";
                    l.Width = 100;
                
                }

            ).GetHtml()
        </td>
        <td>
            @Html.Common().DevExpress().GridLookup(
                sett => {
                    sett.Name = "grlPosition";
                    sett.GridProperties.KeyFieldName = "POSITION_NAME";
                    sett.Width = Unit.Pixel(180);
                    sett.GridProperties.CallbackRouteValues = new { Controller = "SupplierEmailMaster", Action = "getPositionLookup" };
                    //sett.GridProperties.SettingsBehavior.AllowSelectSingleRowOnly = false;
                    sett.GridProperties.Width = Unit.Pixel(130);
                    sett.GridProperties.SettingsPager.NumericButtonCount = 5;

                    sett.GridProperties.Columns.Add(
                        c =>
                        {
                            c.Name = "Position";
                            c.FieldName = "POSITION_NAME";
                            c.Caption = "Position Name";
                            c.CellStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                            c.Width = 200;

                        });

                
                
                }

            ).Bind(ViewData["PositionData"]).GetHtml()


            @*@Html.DevExpress().ComboBox(
                edtSettings =>
                {
                    edtSettings.Name = "cmbPosition";
                    edtSettings.Width = System.Web.UI.WebControls.Unit.Pixel(220);
                    edtSettings.CallbackRouteValues = new { Controller = "SupplierEmailMaster", Action = "getPositionLookup" };
                    edtSettings.Properties.ValueField = "POSITION_CODE";
                    edtSettings.Properties.TextField = "POSITION_NAME";
                    edtSettings.Properties.DropDownStyle = DropDownStyle.DropDownList;
                }).BindList(ViewData["PositionData"]).GetHtml() *@


        </td>
    </tr>

    <tr style="vertical-align: top;">
        <td>
            @Html.DevExpress().Label(
                l =>
                {
                    l.ControlStyle.CssClass = "label";
                    l.Text = "Upload File";
                    l.Width = 100;
                }

            ).GetHtml()


        </td>
        <td>
            @using (Html.BeginForm("DownloadCallback", "SupplierEmailMaster", FormMethod.Post, new { enctype = "multipart/form-data" }))
            { 
            @Html.DevExpress().UploadControl(u =>
                           {
                               u.Name = "SEMUpload";
                               u.BrowseButton.Text = "Browse";
                               u.AddUploadButtonsHorizontalPosition = AddUploadButtonsHorizontalPosition.Left;
                               u.ShowAddRemoveButtons = false;
                               //u.Width = Unit.Pixel(355);

                               u.ValidationSettings.MaxFileSize = 10000000;
                               u.ValidationSettings.AllowedFileExtensions = new string[] { ".xls" };
                               u.ValidationSettings.ShowErrors = true;

                               u.ValidationSettings.MaxFileSizeErrorText = "The size of file uploaded larger than allowed";
                               u.ValidationSettings.NotAllowedFileExtensionErrorText = "PrCSV only";

                               u.CallbackRouteValues = new { Controller = "SupplierEmailMaster", Action = "OnUploadCallbackRouteValues" };
                               
                               u.ClientSideEvents.FileUploadComplete = "OnUploadComplete";
                               //u.ClientSideEvents.Init = "OnUploadInit";
                               u.ShowProgressPanel = false;
                              
                           }).GetHtml()
            }   


        </td>
        <td>
            @Html.DevExpress().Button(
                        setting =>
                        {
                            setting.Name = "btnUpload";
                            setting.Text = "Upload";
                            setting.UseSubmitBehavior = true;
                            setting.Style.Add("display", "inline-table");
                            setting.ClientSideEvents.Click = "upload";
                            
                        }
                        ).GetHtml()

        </td>
        <td>
           <div style="padding-top: 6px">
               @Html.DevExpress().HyperLink(
                            Lnk =>
                            {
                                Lnk.Name = "LnkDownloadTemplate";
                                Lnk.Properties.Text = "Download Template";
                                Lnk.Properties.Style.ForeColor = System.Drawing.Color.Blue;
                                Lnk.Properties.Style.Font.Underline = true;
                                Lnk.ControlStyle.Cursor = "pointer";
                                Lnk.Properties.ClientSideEvents.Click = "OnDownloadTemplateClick";
                            }
                        ).GetHtml()
                </div
        </td>
        <td></td>
        <td></td>
    </tr>
    <tr>
        <td>
            @Html.DevExpress().Button(
                    settings =>
                    {
                        settings.Name = "btnDownload";
                        settings.Text = "Download";
                        settings.UseSubmitBehavior = true;
                        settings.Width = System.Web.UI.WebControls.Unit.Pixel(80);
                        settings.Style.Add("display", "inline-table");
                        settings.ClientSideEvents.Click = "OnDownloadClick";
                    }).GetHtml()

        </td>
        <td></td>
        <td></td>
        <td></td>
        <td>
           

        </td>
        <td>
            <div style="float: right;margin-right:10px">
                 @Html.DevExpress().Button(
                        settings =>
                        {
                            settings.Name = "btnSearch";
                            settings.Text = "Search";
                            settings.UseSubmitBehavior = true;
                            settings.Width = System.Web.UI.WebControls.Unit.Pixel(80);
                            settings.Style.Add("display", "inline-table");
                            settings.ClientSideEvents.Click = "onClickSearch";
                        }).GetHtml()

                @Html.DevExpress().Button(
                        settings =>
                        {
                            settings.Name = "btnClear";
                            settings.Text = "Clear";
                            settings.UseSubmitBehavior = true;
                            settings.Width = System.Web.UI.WebControls.Unit.Pixel(80);
                            settings.Style.Add("display", "inline-table");
                            settings.ClientSideEvents.Click = "onClickClear";
                        }).GetHtml()
            </div>
        </td>
        

    </tr>
</table>